> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 12 - Relogon

* Through this endpoint, the partner can sign the proposal. It is allowed to include subscribers who have already signed in the integrator's backend, since the proposal is only finalized after the registered subscribers sign.
* This method does not send notification emails with a subscription request.
* The method requires authentication and proposal location parameters, as well as a list of subscribers who have already signed with the date, time and source IP address.


## OpenAPI

````yaml post /Proposta/IncluirAssinaturaCCBFinalizada
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Proposta.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Proposta/IncluirAssinaturaCCBFinalizada:
    post:
      tags:
        - Proposta
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropostaAssinaturaFinalizadaCCBCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/PropostaAssinaturaFinalizadaCCBCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PropostaAssinaturaFinalizadaCCBCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    PropostaAssinaturaFinalizadaCCBCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FindPropostaDTO'
        assinantes:
          type: array
          items:
            $ref: '#/components/schemas/AssinanteFinalizadoDTO'
          nullable: true
      additionalProperties: false
    ActionResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FindPropostaDTO:
      type: object
      properties:
        codigoProposta:
          type: string
          description: Código identificador da proposta
          format: uuid
          nullable: true
        codigoOperacao:
          type: string
          description: Código da operação do parceiro
          nullable: true
        numeroProposta:
          type: integer
          description: Número sequencial da proposta
          format: int64
          nullable: true
      additionalProperties: false
    AssinanteFinalizadoDTO:
      type: object
      properties:
        nome:
          type: string
          description: Nome do assinante
          nullable: true
        email:
          type: string
          description: Email do assinante
          nullable: true
        documento:
          type: string
          description: Documento federal do assinante
          nullable: true
        descricao:
          type: string
          description: Descrição
          nullable: true
        telefoneCelular:
          type: string
          description: Telefone celular do assinante
          nullable: true
        notificarPorEmail:
          type: boolean
          description: Informar se o assinante deve ser notificado por email
          nullable: true
        notificarPorWhatsApp:
          type: boolean
          description: Informar se o assinante deve ser notificado por WhatsApp
          nullable: true
        dtAssinatura:
          type: string
          description: Data em que a CCB foi asinada
          format: date-time
          nullable: true
        ipAssinatura:
          type: string
          description: IP que realizou a assinatura
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ParametroDTO:
      type: object
      properties:
        nome:
          type: string
          description: Refere-se ao nome do parâmetro.
          nullable: true
        valor:
          type: string
          description: Refere-se ao valor do parâmetro.
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````